## com.imcode.imcms.servlet.tags
Class ContentLoopTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.imcode.imcms.servlet.tags.ContentLoopTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ContentLoopTag

extends javax.servlet.jsp.tagext.BodyTagSupport

Content loop tag prototype. Admin GUI is not yet defined for this tag.

See Also:
  Serialized Form

Field Summary
`static int` `STEP`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ContentLoopTag()`

Method Summary
`int` `doAfterBody()`
`int` `doEndTag()`
`int` `doStartTag()`
`int` `getBaseIndex()`
`java.lang.String` `getIndexVar()`
`int` `getNo()`
`void` `setBaseIndex(int baseIndex)`
`void` `setIndexVar(java.lang.String indexVar)`
`void` `setLabel(java.lang.String label)`
`void` `setMode(java.lang.String mode)`
`void` `setNo(int no)`
`void` `setPost(java.lang.String post)`
`void` `setPre(java.lang.String pre)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### STEP

    public static final int STEP

See Also:
  Constant Field Values

Constructor Detail

### ContentLoopTag

    public ContentLoopTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Specified by:
    `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
  Overrides:
    `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### setNo

    public void setNo(int no)

### getNo

    public int getNo()

### setMode

    public void setMode(java.lang.String mode)

### setLabel

    public void setLabel(java.lang.String label)

### setPre

    public void setPre(java.lang.String pre)

### setPost

    public void setPost(java.lang.String post)

### getBaseIndex

    public int getBaseIndex()

### setBaseIndex

    public void setBaseIndex(int baseIndex)

### getIndexVar

    public java.lang.String getIndexVar()

### setIndexVar

    public void setIndexVar(java.lang.String indexVar)